Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.addressing
Interface AddressingProperties

All Superinterfaces:
  AddressingType

    public interface AddressingProperties

extends AddressingType

Abstraction of Message Addressing Properties.

Method Summary
`AttributedURIType` | `getAction()` Accessor for the Action property.
`EndpointReferenceType` | `getFaultTo()` Accessor for the FaultTo property.
`EndpointReferenceType` | `getFrom()` Accessor for the From property.
`AttributedURIType` | `getMessageID()` Accessor for the MessageID property.
`RelatesToType` | `getRelatesTo()` Accessor for the RelatesTo property.
`EndpointReferenceType` | `getReplyTo()` Accessor for the ReplyTo property.
`AttributedURIType` | `getTo()` Accessor for the To property.
`EndpointReferenceType` | `getToEndpointReference()` Accessor for the To property.
`void` | `setAction(AttributedURIType iri)` Mutator for the Action property.
`void` | `setFaultTo(EndpointReferenceType ref)` Mutator for the FaultTo property.
`void` | `setFrom(EndpointReferenceType epr)` Mutator for the From property.
`void` | `setMessageID(AttributedURIType iri)` Mutator for the MessageID property.
`void` | `setRelatesTo(RelatesToType relatesTo)` Mutator for the RelatesTo property.
`void` | `setReplyTo(EndpointReferenceType ref)` Mutator for the ReplyTo property.
`void` | `setTo(EndpointReferenceType epr)` Mutator for the To property.

Methods inherited from interface org.apache.cxf.ws.addressing.AddressingType
`getNamespaceURI`

Method Detail

### getToEndpointReference

    EndpointReferenceType getToEndpointReference()

  Accessor for the To property.

  Returns:
    current value of To property

### getTo

    AttributedURIType getTo()

  Accessor for the To property.

  Returns:
    current value of To property

### setTo

    void setTo(EndpointReferenceType epr)

  Mutator for the To property.

  Parameters:
    `epr` - new value for To property

### getFrom

    EndpointReferenceType getFrom()

  Accessor for the From property.

  Returns:
    current value of From property

### setFrom

    void setFrom(EndpointReferenceType epr)

  Mutator for the From property.

  Parameters:
    `epr` - new value for From property

### getMessageID

    AttributedURIType getMessageID()

  Accessor for the MessageID property.

  Returns:
    current value of MessageID property

### setMessageID

    void setMessageID(AttributedURIType iri)

  Mutator for the MessageID property.

  Parameters:
    `iri` - new value for MessageID property

### getReplyTo

    EndpointReferenceType getReplyTo()

  Accessor for the ReplyTo property.

  Returns:
    current value of ReplyTo property

### setReplyTo

    void setReplyTo(EndpointReferenceType ref)

  Mutator for the ReplyTo property.

  Parameters:
    `ref` - new value for ReplyTo property

### getFaultTo

    EndpointReferenceType getFaultTo()

  Accessor for the FaultTo property.

  Returns:
    current value of FaultTo property

### setFaultTo

    void setFaultTo(EndpointReferenceType ref)

  Mutator for the FaultTo property.

  Parameters:
    `ref` - new value for FaultTo property

### getRelatesTo

    RelatesToType getRelatesTo()

  Accessor for the RelatesTo property.

  Returns:
    current value of RelatesTo property

### setRelatesTo

    void setRelatesTo(RelatesToType relatesTo)

  Mutator for the RelatesTo property.

  Parameters:
    `relatesTo` - new value for RelatesTo property

### getAction

    AttributedURIType getAction()

  Accessor for the Action property.

  Returns:
    current value of Action property

### setAction

    void setAction(AttributedURIType iri)

  Mutator for the Action property.

  Parameters:
    `iri` - new value for Action property

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF